[
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/transpiler",
  "command": "/usr/bin/g++  -I/home/jorenchik/Code/mdemory/src/include -g -std=gnu++20 -o CMakeFiles/api.dir/lexer.cpp.o -c /home/jorenchik/Code/mdemory/src/transpiler/lexer.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/transpiler/lexer.cpp",
  "output": "transpiler/CMakeFiles/api.dir/lexer.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/transpiler",
  "command": "/usr/bin/g++  -I/home/jorenchik/Code/mdemory/src/include -g -std=gnu++20 -o CMakeFiles/api.dir/parser.cpp.o -c /home/jorenchik/Code/mdemory/src/transpiler/parser.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/transpiler/parser.cpp",
  "output": "transpiler/CMakeFiles/api.dir/parser.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/transpiler",
  "command": "/usr/bin/g++  -I/home/jorenchik/Code/mdemory/src/include -g -std=gnu++20 -o CMakeFiles/api.dir/time.cpp.o -c /home/jorenchik/Code/mdemory/src/transpiler/time.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/transpiler/time.cpp",
  "output": "transpiler/CMakeFiles/api.dir/time.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/transpiler",
  "command": "/usr/bin/g++  -I/home/jorenchik/Code/mdemory/src/include -g -std=gnu++20 -o CMakeFiles/api.dir/api.cpp.o -c /home/jorenchik/Code/mdemory/src/transpiler/api.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/transpiler/api.cpp",
  "output": "transpiler/CMakeFiles/api.dir/api.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/transpiler",
  "command": "/usr/bin/g++  -I/home/jorenchik/Code/mdemory/src/include -g -std=gnu++20 -o CMakeFiles/api.dir/stringUtils.cpp.o -c /home/jorenchik/Code/mdemory/src/transpiler/stringUtils.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/transpiler/stringUtils.cpp",
  "output": "transpiler/CMakeFiles/api.dir/stringUtils.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/transpiler",
  "command": "/usr/bin/g++  -I/home/jorenchik/Code/mdemory/src/include -g -std=gnu++20 -Wall -Wextra -Wpedantic -o CMakeFiles/transpiler.dir/main.cpp.o -c /home/jorenchik/Code/mdemory/src/transpiler/main.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/transpiler/main.cpp",
  "output": "transpiler/CMakeFiles/transpiler.dir/main.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/qtapp",
  "command": "/usr/bin/g++ -DQT_CORE_LIB -DQT_GUI_LIB -DQT_WIDGETS_LIB -I/home/jorenchik/Code/mdemory/src/Debug/qtapp/MdemoryApp_autogen/include -I/usr/include/qt/Qsci -I/home/jorenchik/Code/mdemory/src/include -isystem /usr/include/qt -isystem /usr/include/qt/QtWidgets -isystem /usr/include/qt/QtGui -isystem /usr/include/qt/QtCore -isystem /usr/lib/qt/mkspecs/linux-g++ -g -std=gnu++20 -fPIC -o CMakeFiles/MdemoryApp.dir/MdemoryApp_autogen/mocs_compilation.cpp.o -c /home/jorenchik/Code/mdemory/src/Debug/qtapp/MdemoryApp_autogen/mocs_compilation.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/Debug/qtapp/MdemoryApp_autogen/mocs_compilation.cpp",
  "output": "qtapp/CMakeFiles/MdemoryApp.dir/MdemoryApp_autogen/mocs_compilation.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/qtapp",
  "command": "/usr/bin/g++ -DQT_CORE_LIB -DQT_GUI_LIB -DQT_WIDGETS_LIB -I/home/jorenchik/Code/mdemory/src/Debug/qtapp/MdemoryApp_autogen/include -I/usr/include/qt/Qsci -I/home/jorenchik/Code/mdemory/src/include -isystem /usr/include/qt -isystem /usr/include/qt/QtWidgets -isystem /usr/include/qt/QtGui -isystem /usr/include/qt/QtCore -isystem /usr/lib/qt/mkspecs/linux-g++ -g -std=gnu++20 -fPIC -o CMakeFiles/MdemoryApp.dir/main.cpp.o -c /home/jorenchik/Code/mdemory/src/qtapp/main.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/qtapp/main.cpp",
  "output": "qtapp/CMakeFiles/MdemoryApp.dir/main.cpp.o"
},
{
  "directory": "/home/jorenchik/Code/mdemory/src/Debug/qtapp",
  "command": "/usr/bin/g++ -DQT_CORE_LIB -DQT_GUI_LIB -DQT_WIDGETS_LIB -I/home/jorenchik/Code/mdemory/src/Debug/qtapp/MdemoryApp_autogen/include -I/usr/include/qt/Qsci -I/home/jorenchik/Code/mdemory/src/include -isystem /usr/include/qt -isystem /usr/include/qt/QtWidgets -isystem /usr/include/qt/QtGui -isystem /usr/include/qt/QtCore -isystem /usr/lib/qt/mkspecs/linux-g++ -g -std=gnu++20 -fPIC -o CMakeFiles/MdemoryApp.dir/trainWindow.cpp.o -c /home/jorenchik/Code/mdemory/src/qtapp/trainWindow.cpp",
  "file": "/home/jorenchik/Code/mdemory/src/qtapp/trainWindow.cpp",
  "output": "qtapp/CMakeFiles/MdemoryApp.dir/trainWindow.cpp.o"
}
]